#include <hidef.h>					// common defines and macros
#include <mc9s12hy64.h>				// derivative information
#include "cpu.h"						// MCU setup functions
#include "sci_hc12.h"				// serial COM functions
#include "can_demo.h"				// CAN fuctions
#include "lcddrv.h"					// LCD functions

void main(void) {

//	byte cmd;
	byte errorflag = NO_ERR;

	CPMU_PEE_8MHz();					// init clock module 8MHz bus clock
	Init_Timer1();
	Configure_Ports();	
	init_atd_ch0();					// init ATDCH0 for continuous conversion
	LCD_Init();							// init LCD Module
	
	Can_Init();							// init CAN module
	while(!(CANCTL0_SYNCH));		// wait for CAN module to synch
	
	CANRFLG = 0xC3;					// reset Rx flags
//	CANRIER = 0x01;					// Rx buffer full int enable
	
	EnableInterrupts;
	
	TEMP = ON;							// set TEMP label on
	Set_Logo(ON, ON, ON, ON, ON);	// turn on logo icons
	Set_Temp_Digits(0);				// init Temp digit display
	
	*txbuff = CAN_NO_DATA;			// init CAN tx buffer

	for(;;){
		if(!(*txbuff)){				// if no data ready to send
			Get_Pot_Val();				// get current ATD value and format CAN tx buffer
		}									// else send result of PBSW press	

		errorflag = Can_Send_Frame((ST_ID_100), 0x00, tx_data_len, txbuff);

//		if(CANRFLG_RXF){
//			cmd = CANRXDSR0;			// get transmitted data command 
//			if(cmd & 0xF0){
//			Set_Temp_Digits(txbuff[1]);	// display ATD results
//			} else {
//				Toggle_Led(cmd);		// call demo routine
//			}
//			CANRFLG_RXF =1;			// clr Rx Flag
//		}

		Delay(100);						// delay in ms
	}
}






