/**********************************************************

	FILE				: can_demo.h
   
	AUTHOR			: Axiom Manufacturing    					     
						  
	PURPOSE			: HCS12 CAN demo header file
 
 *********************************************************/
#ifndef	_CAN_DEMO_H_
#define	_CAN_DEMO_H_

extern byte txbuff[8];				// transmit buffer
extern byte rxbuff[8];				// receive buffer

extern byte tx_data_len;			// tx buffer length	
extern byte rx_data_len;			// rx buffer length	


// ID Def
#define ST_ID_100	0x20000000		// Std ID 0x100 formatted to load into IDRx regs in Tx buffer

// Acceptance Code Defs
#define ACC_CODE_ID100			0x2000
#define ACC_CODE_ID100_HIGH	((ACC_CODE_ID100&0xFF00)>>8)
#define ACC_CODE_ID100_LOW		(ACC_CODE_ID100&0x00FF)

// Mask Code Defs
#define MASK_CODE_ID				0x0007
#define MASK_CODE_ID_HIGH		((MASK_CODE_ID & 0xFF00) >> 8)
#define MASK_CODE_ID_LOW		(MASK_CODE_ID & 0x00FF)

// Error Flags
#define	NO_ERR				0x00
#define	ERR_BUFFER_FULL	0x80


// Demo defines
#define	CAN_NO_DATA			0x00
#define	CAN_LED_1_ON		0x01
#define	CAN_LED_2_ON		0x02
#define	CAN_LED_3_ON		0x03
#define	CAN_LED_4_ON		0x04


/****************** FUNCTION PROTOTYPES ******************/

void Can_Init(void);
void CAN_LED_Demo(byte data);
void CAN_Get_Frame(void);

byte Can_Send_Frame(dword id, byte priority, byte length, byte *txdata);


#endif	// _CAN_DEMO_H_
