#include <hidef.h>					// common defines and macros
#include <mc9s12hy64.h>				// derivative information
#include "cpu.h"						// MCU functions
#include "can_demo.h"				// CAN module fuctions


void main(void) {

	byte errorflag = NO_ERR;

	CPMU_PEE_8MHz();					// init clock module 8MHz bus clock
	Init_Timer1();						// init Timer 1
	
	Can_Init();							// init CAN module
	while(!(CANCTL0_SYNCH));		// wait for CAN module to synch
	
	CANRFLG = 0xC3;					// reset Rx flags
//	CANRIER = 0x01;					// Rx buffer full int enable
	
	EnableInterrupts;
	
	PTR_PTR0 = 0;
	DDRR_DDRR0 = 1;
	
	for(;;){
		if(CANRFLG_RXF){
			CAN_Get_Rx_Data();			// get receive CAN frame
			errorflag = Can_Send_Frame((ST_ID_100), 0x00, rx_data_len, rxbuff);	// send data frame
		}
	}
}





